Security Enhanced Linux Reference Policy

# Layer: services

## Module: memcached

Interfaces

### Description:

High-performance memory object caching system.

### Interfaces:

memcached_admin( domain , role )

##### Summary

All of the rules required to administrate an memcached environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

memcached_domtrans( domain )

##### Summary

Execute a domain transition to run memcached.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

memcached_manage_runtime_files( domain )

##### Summary

Create, read, write, and delete memcached runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

memcached_stream_connect( domain )

##### Summary

Connect to memcached using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

memcached_tcp_connect( domain )

##### Summary

Connect to memcache over the network.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return